[gupnp] build: Update autogen.sh from GNOME template



commit 9c444f639caafaba026f0021b51fe8585edc352b
Author: Philip Withnall <philip tecnocode co uk>
Date:   Sun Mar 20 16:37:56 2016 +0000

    build: Update autogen.sh from GNOME template
    
    This fixes problems when building with srcdir ≠ builddir.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763945

 autogen.sh |   43 +++++++++++++++++++++----------------------
 1 files changed, 21 insertions(+), 22 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 1a48f24..efc4477 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,41 +1,40 @@
 #!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
+olddir=$(pwd)
 
+cd $srcdir
 
-# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-(test -f $srcdir/configure.ac) || {
-        echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
-        exit 1
+(test -f configure.ac) || {
+       echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+       exit 1
 }
 
-PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
 
 if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
-        echo "**Warning**: I am going to run \`configure' with no arguments." >&2
-        echo "If you wish to pass any to it, please specify them on the" >&2
-        echo \`$0\'" command line." >&2
-        echo "" >&2
+       echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+       echo "*** If you wish to pass any to it, please specify them on the" >&2
+       echo "*** '$0' command line." >&2
+       echo "" >&2
 fi
 
-set -x
 aclocal --install || exit 1
 glib-gettextize --force --copy || exit 1
 gtkdocize --copy || exit 1
 intltoolize --force --copy --automake || exit 1
-autoreconf --verbose --force --install -Wno-portability || exit 1
-set +x
+autoreconf --verbose --force --install || exit 1
 
+cd "$olddir"
 if [ "$NOCONFIGURE" = "" ]; then
-        set -x
-        $srcdir/configure "$@" || exit 1
-        set +x
+       $srcdir/configure "$@" || exit 1
 
-        if [ "$1" = "--help" ]; then exit 0 else
-                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
-        fi
+       if [ "$1" = "--help" ]; then exit 0 else
+               echo "Now type 'make' to compile $PKG_NAME" || exit 1
+       fi
 else
-        echo "Skipping configure process."
+       echo "Skipping configure process."
 fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]